summaryrefslogtreecommitdiff
path: root/pre-commit.d/40warn-old-metadata
diff options
context:
space:
mode:
Diffstat (limited to 'pre-commit.d/40warn-old-metadata')
-rwxr-xr-xpre-commit.d/40warn-old-metadata7
1 files changed, 7 insertions, 0 deletions
diff --git a/pre-commit.d/40warn-old-metadata b/pre-commit.d/40warn-old-metadata
new file mode 100755
index 0000000..374dd7b
--- /dev/null
+++ b/pre-commit.d/40warn-old-metadata
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+# Tell the user if the .metadata binary file is still lying around.
+if [ -f .metadata ] && [ -f .fix-metadata ]; then
+ echo "etckeeper warning: The .metadata file is obsolete. You should delete it." >&2
+fi